@echo off
if not a%1 == a goto :start
echo.
echo  This illustrates the drag-and-drop invocation of an XSLT stylesheet.
echo  Drag any XML file onto the "drag-and-drop.bat" batch file icon in the
echo  Windows explorer view of this directory, and the output file is 
echo  generated with the name being the input name plus the ".html" suffix.
echo  The HTML file is also opened by a browser using the filename extension
echo  association in Windows.
echo.
echo  $Id: drag-and-drop.bat,v 1.4 2008/07/07 20:59:05 gkholman Exp $
echo.
echo  This demonstration first checks for "saxon.jar" in the same directory 
echo  as this batch file, and if it doesn't exist, will try to invoke the
echo  Windows built-in XSLT processor by using the supplied "drag-and-drop.js"
echo  Javascript script.  The Javascript script will not run successfully
echo  by dropping a file directly on it, this version must be invoked by this
echo  drag-and-drop.bat batch file.
echo.
echo  For XSLT 2 use saxon9.jar or other equivalent processor.  Find the
echo  JAR files for both versions of Saxon at http://saxon.sf.net 
echo.
pause
goto :done-no-show

:start
echo Performing transformation...
echo   From file: "%1" 
echo   To file:   "%1.html"...
echo (the window will disappear if there are no errors)
echo.
if not exist "%~dp0saxon.jar" goto :notsaxon1
if exist %1.html del %1.html
java -jar "%~dp0saxon.jar" -o %1.html %1 "%~dp0drag-and-drop.xsl"
if %errorlevel% == 0 goto :done
goto :problem
:notsaxon1

echo (Saxon not found so trying built-in MSXML XSLT processor which may
echo return a zero "successful" exit code even when it fails or terminates)
if exist %1.html del %1.html
cscript //nologo "%~dp0drag-and-drop.js" %1 "%~dp0drag-and-drop.xsl" %1.html
if %errorlevel% == 0 goto :done
goto :problem

:problem
pause
goto :done-no-show
:done
if exist %1.html start %1.html
:done-no-show