<?xml version="1.0" encoding="US-ASCII"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

<!--
     This illustrates drag-and-drop behaviour for an XSLT stylesheet.

     This example merely copies the text of the XML input to the output.

     To demonstrate error behaviour, put the word 'error' in the XML.

     The smarts are in the invocation batch file.

     $Id: drag-and-drop.xsl,v 1.4 2008/07/07 20:56:41 gkholman Exp $
-->
<xsl:output method="html"/>

<xsl:template match="/">
  <html>
    <head>
      <title>Crane's illustration of drag and drop</title>
    </head>
    <body>
      <pre>
        <xsl:text>This is what the input XML file contains:</xsl:text>
        <xsl:choose>
          <xsl:when test="contains(.,'error')">
            <xsl:message terminate="yes">
              <xsl:text>This is what an error looks like!</xsl:text>
            </xsl:message>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="."/>
          </xsl:otherwise>
        </xsl:choose>
      </pre>
    </body>
  </html>
</xsl:template>

</xsl:stylesheet>